Subject: Re: rcs == whirling blades of death in B19
From: [email-masked] (Mikey)

29 Mar 1998 20:47:26 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "David O'Riva" <[email-masked]>, [email-masked]

This is how I fixed the problem for B17.1 use this in
addition to the other rcs patch posted to the list.

--- conf.sh.orig        Mon Mar 17 18:15:23 1997
+++ conf.sh     Mon Mar 17 18:22:37 1997
@@ -1890,10 +1890,11 @@
 echo "$a#undef EXIT_FAILURE $z/* Uncomment this if EXIT_FAILURE is broken.  */"

 : configuring large_memory
-case "$has_map_fd$has_mmap" in
-*1*) l=1;;
-*) l=0
-esac
+#case "$has_map_fd$has_mmap" in
+#*1*) l=1;;
+#*) l=0
+#esac
+l=1 #force large_memory to overcome bug
 echo "#define large_memory $l /* Can main memory hold entire RCS files?  */"

 $ech >&3 "$0: configuring LONG_MAX $dots"
--- rcstest.orig        Mon Mar 17 19:14:23 1997
+++ rcstest     Mon Mar 17 19:14:51 1997
@@ -173,7 +173,7 @@
        case $USER in
        ?*) me=$USER;;
        *)
-               me=`who am i` || exit 2
+               me=`whoami` || exit 2
                me=`echo "$me" | sed -e 's/ .*//' -e 's/.*!//'`
                case $me in
                '') echo >&2 "$0: cannot deduce user name"; exit 2

On Mon, 23 Mar 1998 07:10:36 -0800, you wrote:

>Running B19 w/coolview (March 15 version) on NT 4.0 SP3:
>        CYGWIN32=title binmode notty
>        all mounts are text=binary
>
>rcs is eating our files!  I installed rcs-5.7, and applied wolfgang's patch
>to get it to configure and build.  Everything looked great, until it
>suddenly and inexplicably munched a revision storage file.  This is a Bad
>Thing.  
>
>Experimentation revealed the following:
>
>   * The problem only happens when a stored revision is longer than 1K.
>   * The problem is very sporadic
>   * When it happens, the stored "text" of a revision is truncated to exactly
>     1024 bytes and it's position in the revision tree is changed!!!
>
>Further investigation seems to indicate that something is going wrong in the
>guts of fastcopy(). What's strange is that everything starts to work
>correctly when the has_mmap flag is forced ON in conf.h, even though
>configure blows up when trying to determine the status of mmaping on the
>system.  There was a message earlier on in the list about configure blowing
>up when trying to check a situation which is impossible under 95/NT, which
>prompted my trying this - is this a reasonable solution?
>
>We are trying to find and solve this problem here, but if any of you have
>run into it before (or can categorize it faster than we can!), some advice
>would sure be appreciated.
>
>thanks!
>-dave                                         ________  _______ ____
>---------------------------------------------/_ \     \/|  ___ \    \- -
>David O'Riva - Staff Programmer                /|  |\  \|  ____/ /\  \
>   [email-masked]                            /|  |/  /|  |\/\  \/  /\
>      "2^168 to 1 against and counting..."    __|_____o/|__o\ /\____o\ 
>                                      - - ---/________\/____\--/____\-- -
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".

=====================================================
Linux a platform built by, and for users, standing on
the firm legs of reliability, and speed.

Microsoft Windows, a platform without a leg to stand on.

([email-masked])
delete REMOVETHIS from the above to reply
         Mikey
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".